/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.coordinate.model;

import com.google.api.client.json.GenericJson;

/**
 * Location of a job.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Maps Coordinate API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Location extends GenericJson {

  /**
   * Address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> addressLine;

  /**
   * Identifies this object as a location.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Latitude.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Double lat;

  /**
   * Longitude.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Double lng;

  /**
   * Address.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getAddressLine() {
    return addressLine;
  }

  /**
   * Address.
   * The value set may be {@code null}.
   */
  public Location setAddressLine(java.util.List<String> addressLine) {
    this.addressLine = addressLine;
    return this;
  }

  /**
   * Identifies this object as a location.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this object as a location.
   * The value set may be {@code null}.
   */
  public Location setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Latitude.
   * The value returned may be {@code null}.
   */
  public Double getLat() {
    return lat;
  }

  /**
   * Latitude.
   * The value set may be {@code null}.
   */
  public Location setLat(Double lat) {
    this.lat = lat;
    return this;
  }

  /**
   * Longitude.
   * The value returned may be {@code null}.
   */
  public Double getLng() {
    return lng;
  }

  /**
   * Longitude.
   * The value set may be {@code null}.
   */
  public Location setLng(Double lng) {
    this.lng = lng;
    return this;
  }

}
